<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>Vector2 (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Vector2 (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":9,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":9,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/math/MathUtils.html" title="class in com.sk89q.worldedit.math"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/math/Vector2.html" target="_top">Frames</a></li>
<li><a href="Vector2.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.math</div>
<h2 title="Class Vector2" class="title">Class Vector2</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.math.Vector2</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">Vector2</span>
extends java.lang.Object</pre>
<div class="block">An immutable 2-dimensional vector.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#ONE">ONE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#UNIT_X">UNIT_X</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#UNIT_Z">UNIT_Z</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#ZERO">ZERO</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#abs--">abs</a></span>()</code>
<div class="block">Returns a vector with the absolute values of the components of
 this vector.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#add-double-double-">add</a></span>(double&nbsp;x,
   double&nbsp;z)</code>
<div class="block">Add another vector to this vector and return the result as a new vector.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#add-com.sk89q.worldedit.math.Vector2...-">add</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>...&nbsp;others)</code>
<div class="block">Add a list of vectors to this vector and return the
 result as a new vector.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#add-com.sk89q.worldedit.math.Vector2-">add</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;other)</code>
<div class="block">Add another vector to this vector and return the result as a new vector.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#at-double-double-">at</a></span>(double&nbsp;x,
  double&nbsp;z)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#ceil--">ceil</a></span>()</code>
<div class="block">Rounds all components up.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#containedWithin-com.sk89q.worldedit.math.Vector2-com.sk89q.worldedit.math.Vector2-">containedWithin</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;min,
               <a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;max)</code>
<div class="block">Checks to see if a vector is contained with another.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#distance-com.sk89q.worldedit.math.Vector2-">distance</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;other)</code>
<div class="block">Get the distance between this vector and another vector.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#distanceSq-com.sk89q.worldedit.math.Vector2-">distanceSq</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;other)</code>
<div class="block">Get the distance between this vector and another vector, squared.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#divide-double-">divide</a></span>(double&nbsp;n)</code>
<div class="block">Perform scalar division and return a new vector.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#divide-double-double-">divide</a></span>(double&nbsp;x,
      double&nbsp;z)</code>
<div class="block">Divide this vector by another vector on each component.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#divide-com.sk89q.worldedit.math.Vector2-">divide</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;other)</code>
<div class="block">Divide this vector by another vector on each component.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#dot-com.sk89q.worldedit.math.Vector2-">dot</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;other)</code>
<div class="block">Gets the dot product of this and another vector.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;obj)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#floor--">floor</a></span>()</code>
<div class="block">Floors the values of all components.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#getMaximum-com.sk89q.worldedit.math.Vector2-">getMaximum</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;v2)</code>
<div class="block">Gets the maximum components of two vectors.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#getMinimum-com.sk89q.worldedit.math.Vector2-">getMinimum</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;v2)</code>
<div class="block">Gets the minimum components of two vectors.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#getX--">getX</a></span>()</code>
<div class="block">Get the X coordinate.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#getZ--">getZ</a></span>()</code>
<div class="block">Get the Z coordinate.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#hashCode--">hashCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#length--">length</a></span>()</code>
<div class="block">Get the length of the vector.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#lengthSq--">lengthSq</a></span>()</code>
<div class="block">Get the length, squared, of the vector.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#multiply-double-">multiply</a></span>(double&nbsp;n)</code>
<div class="block">Perform scalar multiplication and return a new vector.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#multiply-double-double-">multiply</a></span>(double&nbsp;x,
        double&nbsp;z)</code>
<div class="block">Multiply this vector by another vector on each component.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#multiply-com.sk89q.worldedit.math.Vector2...-">multiply</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>...&nbsp;others)</code>
<div class="block">Multiply this vector by zero or more vectors on each component.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#multiply-com.sk89q.worldedit.math.Vector2-">multiply</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;other)</code>
<div class="block">Multiply this vector by another vector on each component.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#normalize--">normalize</a></span>()</code>
<div class="block">Get the normalized vector, which is the vector divided by its
 length, as a new vector.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#round--">round</a></span>()</code>
<div class="block">Rounds all components to the closest integer.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#subtract-double-double-">subtract</a></span>(double&nbsp;x,
        double&nbsp;z)</code>
<div class="block">Subtract another vector from this vector and return the result
 as a new vector.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#subtract-com.sk89q.worldedit.math.Vector2...-">subtract</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>...&nbsp;others)</code>
<div class="block">Subtract a list of vectors from this vector and return the result
 as a new vector.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#subtract-com.sk89q.worldedit.math.Vector2-">subtract</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;other)</code>
<div class="block">Subtract another vector from this vector and return the result
 as a new vector.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#toBlockPoint--">toBlockPoint</a></span>()</code>
<div class="block">Create a new <a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math"><code>BlockVector2</code></a> from this vector.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>static <a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#toBlockPoint-double-double-">toBlockPoint</a></span>(double&nbsp;x,
            double&nbsp;z)</code>&nbsp;</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#toVector3--">toVector3</a></span>()</code>
<div class="block">Creates a 3D vector by adding a zero Y component to this vector.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#toVector3-double-">toVector3</a></span>(double&nbsp;y)</code>
<div class="block">Creates a 3D vector by adding the specified Y component to this vector.</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#transform2D-double-double-double-double-double-">transform2D</a></span>(double&nbsp;angle,
           double&nbsp;aboutX,
           double&nbsp;aboutZ,
           double&nbsp;translateX,
           double&nbsp;translateZ)</code>
<div class="block">Perform a 2D transformation on this vector and return a new one.</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#withX-double-">withX</a></span>(double&nbsp;x)</code>
<div class="block">Set the X coordinate.</div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/math/Vector2.html#withZ-double-">withZ</a></span>(double&nbsp;z)</code>
<div class="block">Set the Z coordinate.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="ZERO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ZERO</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a> ZERO</pre>
</li>
</ul>
<a name="UNIT_X">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UNIT_X</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a> UNIT_X</pre>
</li>
</ul>
<a name="UNIT_Z">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UNIT_Z</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a> UNIT_Z</pre>
</li>
</ul>
<a name="ONE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ONE</h4>
<pre>public static final&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a> ONE</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="at-double-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>at</h4>
<pre>public static&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;at(double&nbsp;x,
                         double&nbsp;z)</pre>
</li>
</ul>
<a name="getX--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getX</h4>
<pre>public&nbsp;double&nbsp;getX()</pre>
<div class="block">Get the X coordinate.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the x coordinate</dd>
</dl>
</li>
</ul>
<a name="withX-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>withX</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;withX(double&nbsp;x)</pre>
<div class="block">Set the X coordinate.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the new X</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
</dl>
</li>
</ul>
<a name="getZ--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getZ</h4>
<pre>public&nbsp;double&nbsp;getZ()</pre>
<div class="block">Get the Z coordinate.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the z coordinate</dd>
</dl>
</li>
</ul>
<a name="withZ-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>withZ</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;withZ(double&nbsp;z)</pre>
<div class="block">Set the Z coordinate.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>z</code> - the new Z</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
</dl>
</li>
</ul>
<a name="add-com.sk89q.worldedit.math.Vector2-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;add(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;other)</pre>
<div class="block">Add another vector to this vector and return the result as a new vector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>other</code> - the other vector</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
</dl>
</li>
</ul>
<a name="add-double-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;add(double&nbsp;x,
                   double&nbsp;z)</pre>
<div class="block">Add another vector to this vector and return the result as a new vector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the value to add</dd>
<dd><code>z</code> - the value to add</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
</dl>
</li>
</ul>
<a name="add-com.sk89q.worldedit.math.Vector2...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;add(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>...&nbsp;others)</pre>
<div class="block">Add a list of vectors to this vector and return the
 result as a new vector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>others</code> - an array of vectors</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
</dl>
</li>
</ul>
<a name="subtract-com.sk89q.worldedit.math.Vector2-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>subtract</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;subtract(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;other)</pre>
<div class="block">Subtract another vector from this vector and return the result
 as a new vector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>other</code> - the other vector</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
</dl>
</li>
</ul>
<a name="subtract-double-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>subtract</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;subtract(double&nbsp;x,
                        double&nbsp;z)</pre>
<div class="block">Subtract another vector from this vector and return the result
 as a new vector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the value to subtract</dd>
<dd><code>z</code> - the value to subtract</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
</dl>
</li>
</ul>
<a name="subtract-com.sk89q.worldedit.math.Vector2...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>subtract</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;subtract(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>...&nbsp;others)</pre>
<div class="block">Subtract a list of vectors from this vector and return the result
 as a new vector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>others</code> - an array of vectors</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
</dl>
</li>
</ul>
<a name="multiply-com.sk89q.worldedit.math.Vector2-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>multiply</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;multiply(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;other)</pre>
<div class="block">Multiply this vector by another vector on each component.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>other</code> - the other vector</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
</dl>
</li>
</ul>
<a name="multiply-double-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>multiply</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;multiply(double&nbsp;x,
                        double&nbsp;z)</pre>
<div class="block">Multiply this vector by another vector on each component.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the value to multiply</dd>
<dd><code>z</code> - the value to multiply</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
</dl>
</li>
</ul>
<a name="multiply-com.sk89q.worldedit.math.Vector2...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>multiply</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;multiply(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>...&nbsp;others)</pre>
<div class="block">Multiply this vector by zero or more vectors on each component.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>others</code> - an array of vectors</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
</dl>
</li>
</ul>
<a name="multiply-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>multiply</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;multiply(double&nbsp;n)</pre>
<div class="block">Perform scalar multiplication and return a new vector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>n</code> - the value to multiply</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
</dl>
</li>
</ul>
<a name="divide-com.sk89q.worldedit.math.Vector2-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>divide</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;divide(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;other)</pre>
<div class="block">Divide this vector by another vector on each component.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>other</code> - the other vector</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
</dl>
</li>
</ul>
<a name="divide-double-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>divide</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;divide(double&nbsp;x,
                      double&nbsp;z)</pre>
<div class="block">Divide this vector by another vector on each component.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the value to divide by</dd>
<dd><code>z</code> - the value to divide by</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
</dl>
</li>
</ul>
<a name="divide-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>divide</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;divide(double&nbsp;n)</pre>
<div class="block">Perform scalar division and return a new vector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>n</code> - the value to divide by</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
</dl>
</li>
</ul>
<a name="length--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>length</h4>
<pre>public&nbsp;double&nbsp;length()</pre>
<div class="block">Get the length of the vector.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>length</dd>
</dl>
</li>
</ul>
<a name="lengthSq--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lengthSq</h4>
<pre>public&nbsp;double&nbsp;lengthSq()</pre>
<div class="block">Get the length, squared, of the vector.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>length, squared</dd>
</dl>
</li>
</ul>
<a name="distance-com.sk89q.worldedit.math.Vector2-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>distance</h4>
<pre>public&nbsp;double&nbsp;distance(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;other)</pre>
<div class="block">Get the distance between this vector and another vector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>other</code> - the other vector</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>distance</dd>
</dl>
</li>
</ul>
<a name="distanceSq-com.sk89q.worldedit.math.Vector2-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>distanceSq</h4>
<pre>public&nbsp;double&nbsp;distanceSq(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;other)</pre>
<div class="block">Get the distance between this vector and another vector, squared.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>other</code> - the other vector</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>distance</dd>
</dl>
</li>
</ul>
<a name="normalize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>normalize</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;normalize()</pre>
<div class="block">Get the normalized vector, which is the vector divided by its
 length, as a new vector.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
</dl>
</li>
</ul>
<a name="dot-com.sk89q.worldedit.math.Vector2-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dot</h4>
<pre>public&nbsp;double&nbsp;dot(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;other)</pre>
<div class="block">Gets the dot product of this and another vector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>other</code> - the other vector</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the dot product of this and the other vector</dd>
</dl>
</li>
</ul>
<a name="containedWithin-com.sk89q.worldedit.math.Vector2-com.sk89q.worldedit.math.Vector2-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>containedWithin</h4>
<pre>public&nbsp;boolean&nbsp;containedWithin(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;min,
                               <a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;max)</pre>
<div class="block">Checks to see if a vector is contained with another.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>min</code> - the minimum point (X, Y, and Z are the lowest)</dd>
<dd><code>max</code> - the maximum point (X, Y, and Z are the lowest)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the vector is contained</dd>
</dl>
</li>
</ul>
<a name="floor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>floor</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;floor()</pre>
<div class="block">Floors the values of all components.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
</dl>
</li>
</ul>
<a name="ceil--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ceil</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;ceil()</pre>
<div class="block">Rounds all components up.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
</dl>
</li>
</ul>
<a name="round--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>round</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;round()</pre>
<div class="block">Rounds all components to the closest integer.

 <p>Components &lt; 0.5 are rounded down, otherwise up.</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
</dl>
</li>
</ul>
<a name="abs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>abs</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;abs()</pre>
<div class="block">Returns a vector with the absolute values of the components of
 this vector.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
</dl>
</li>
</ul>
<a name="transform2D-double-double-double-double-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>transform2D</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;transform2D(double&nbsp;angle,
                           double&nbsp;aboutX,
                           double&nbsp;aboutZ,
                           double&nbsp;translateX,
                           double&nbsp;translateZ)</pre>
<div class="block">Perform a 2D transformation on this vector and return a new one.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>angle</code> - in degrees</dd>
<dd><code>aboutX</code> - about which x coordinate to rotate</dd>
<dd><code>aboutZ</code> - about which z coordinate to rotate</dd>
<dd><code>translateX</code> - what to add after rotation</dd>
<dd><code>translateZ</code> - what to add after rotation</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../com/sk89q/worldedit/math/transform/AffineTransform.html" title="class in com.sk89q.worldedit.math.transform"><code>another method to transform vectors</code></a></dd>
</dl>
</li>
</ul>
<a name="getMinimum-com.sk89q.worldedit.math.Vector2-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinimum</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;getMinimum(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;v2)</pre>
<div class="block">Gets the minimum components of two vectors.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>v2</code> - the second vector</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>minimum</dd>
</dl>
</li>
</ul>
<a name="getMaximum-com.sk89q.worldedit.math.Vector2-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaximum</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;getMaximum(<a href="../../../../com/sk89q/worldedit/math/Vector2.html" title="class in com.sk89q.worldedit.math">Vector2</a>&nbsp;v2)</pre>
<div class="block">Gets the maximum components of two vectors.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>v2</code> - the second vector</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>maximum</dd>
</dl>
</li>
</ul>
<a name="toBlockPoint-double-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toBlockPoint</h4>
<pre>public static&nbsp;<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&nbsp;toBlockPoint(double&nbsp;x,
                                        double&nbsp;z)</pre>
</li>
</ul>
<a name="toBlockPoint--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toBlockPoint</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&nbsp;toBlockPoint()</pre>
<div class="block">Create a new <a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math"><code>BlockVector2</code></a> from this vector.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new <a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math"><code>BlockVector2</code></a></dd>
</dl>
</li>
</ul>
<a name="toVector3--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toVector3</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;toVector3()</pre>
<div class="block">Creates a 3D vector by adding a zero Y component to this vector.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
</dl>
</li>
</ul>
<a name="toVector3-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toVector3</h4>
<pre>public&nbsp;<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;toVector3(double&nbsp;y)</pre>
<div class="block">Creates a 3D vector by adding the specified Y component to this vector.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>y</code> - the Y component</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a new vector</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;obj)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/math/MathUtils.html" title="class in com.sk89q.worldedit.math"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/math/Vector2.html" target="_top">Frames</a></li>
<li><a href="Vector2.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
